[arch-dev-public] merging systemd back to a singular package

Dave Reisner d at falconindy.com
Sun Aug 26 17:57:10 EDT 2012

On Sun, Aug 26, 2012 at 05:15:39PM -0400, Dave Reisner wrote:
> Hi,
> I apologize for this being somewhat after-the-fact. It was discussed on
> IRC, but that of course doesn't necessarily cater to a wide enough
> audience. Some of you have probably already noticed that systemd 189 now
> provides, conflicts, and replaces libsystemd and systemd-tools. This is
> the next logical step since systemd will eventually be in base once we
> have sufficient unit coverage.
> As an added bonus, maybe this will encourage people who haven't switched
> over yet to do so. ;)
> Cheers,
> Dave

Just to be clear, there aren't any new conflicts introduced with this
change. sysvinit/initscripts and systemd can still co-exist, with
systemd-sysvcompat continuing to carry the only conflict. The net result
is only that you will have systemd installed whether you use it or not.


More information about the arch-dev-public mailing list